﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TESS_5600
{
    public partial class frmAbout : Form
    {
        public frmAbout()
        {
            InitializeComponent();

            General.g_Common.SetFormBorderStyle(this, System.Windows.Forms.FormBorderStyle.FixedSingle);
            General.g_Common.SetFormStartPosition(this, FormStartPosition.CenterParent);
            General.g_Common.SetFormIcon(this, Properties.Resources.Icon);
            General.g_Common.SetControlText(this, "About " + General.AssemblyProduct);
            General.g_Common.SetFormMinimizeBox(this, false);
            General.g_Common.SetFormMaximizeBox(this, false);
            General.g_Common.SetFormHelpButton(this, true);

            General.g_Common.SetPictureBoxSizeMode(this.ptbLogo, PictureBoxSizeMode.StretchImage);
            General.g_Common.SetPictureBoxImage(this.ptbLogo, Properties.Resources.Logo);
            General.g_Common.SetControlAnchor(this.ptbLogo, AnchorStyles.Bottom | AnchorStyles.Left | AnchorStyles.Right | AnchorStyles.Top);

            General.g_Common.SetControlText(this.lblAssemblyProduct, "Product: " + General.AssemblyProduct);
            General.g_Common.SetControlText(this.lblAssemblyVersion, "Version: " + General.AssemblyVersion);
            General.g_Common.SetControlText(this.lblAssemblyCopyright, "Copyright: " + General.AssemblyCopyright);
            General.g_Common.SetControlText(this.lblAssemblyCompany, "Company: " + General.AssemblyCompany);

            General.g_Common.SetControlEnabled(this.txtDescription, false);
            string[] strData=General.g_Common.GetTextFileReadLine(General.g_ReadMeFilePath);
            for (int i = 0; i < strData.Length; i++)
            {
                General.g_Common.SetTextBoxAddText(this.txtDescription, strData[i]);
            }

            General.g_Common.SetTimerInterval(this, this.tmrDateTime, 1000);
            General.g_Common.SetTimerStart(this, this.tmrDateTime);
        }

        private void frmAbout_Load(object sender, EventArgs e)
        {
            General.g_Common.SetFormShow(this);
        }

        private void frmAbout_FormClosing(object sender, FormClosingEventArgs e)
        {
            General.g_Common.SetFormDialogResult(this, System.Windows.Forms.DialogResult.OK);
            General.g_Common.SetFormDispose(this);
        }

        private void frmAbout_Resize(object sender, EventArgs e)
        {

        }

        private void tmrDateTime_Tick(object sender, EventArgs e)
        {

        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            General.g_Common.SetFormClose(this);
        }
    }
}
